/// Settings for LatinExtendedBlock.latinExtendedB
class LatinExtendedB {
  /// An array of special characters
  static const specialCharacters = [
    'ƀ',
    'Ɓ',
    'Ƃ',
    'ƃ',
    'Ƅ',
    'ƅ',
    'Ɔ',
    'Ƈ',
    'ƈ',
    'Ɖ',
    'Ɗ',
    'Ƌ',
    'ƌ',
    'ƍ',
    'Ǝ',
    'Ə',
    'Ɛ',
    'Ƒ',
    'ƒ',
    'Ɠ',
    'Ɣ',
    'ƕ',
    'Ɩ',
    'Ɨ',
    'Ƙ',
    'ƙ',
    'ƚ',
    'ƛ',
    'Ɯ',
    'Ɲ',
    'ƞ',
    'Ɵ',
    'Ơ',
    'ơ',
    'Ƣ',
    'ƣ',
    'Ƥ',
    'ƥ',
    'Ʀ',
    'Ƨ',
    'ƨ',
    'Ʃ',
    'ƪ',
    'ƫ',
    'Ƭ',
    'ƭ',
    'Ʈ',
    'Ư',
    'ư',
    'Ʊ',
    'Ʋ',
    'Ƴ',
    'ƴ',
    'Ƶ',
    'ƶ',
    'Ʒ',
    'Ƹ',
    'ƹ',
    'ƺ',
    'ƻ',
    'Ƽ',
    'ƽ',
    'ƾ',
    'ƿ',
    'ǀ',
    'ǁ',
    'ǂ',
    'ǃ',
    'Ǆ',
    'ǅ',
    'ǆ',
    'Ǉ',
    'ǈ',
    'ǉ',
    'Ǌ',
    'ǋ',
    'ǌ',
    'Ǎ',
    'ǎ',
    'Ǐ',
    'ǐ',
    'Ǒ',
    'ǒ',
    'Ǔ',
    'ǔ',
    'Ǖ',
    'ǖ',
    'Ǘ',
    'ǘ',
    'Ǚ',
    'ǚ',
    'Ǜ',
    'ǜ',
    'ǝ',
    'Ǟ',
    'ǟ',
    'Ǡ',
    'ǡ',
    'Ǣ',
    'ǣ',
    'Ǥ',
    'ǥ',
    'Ǧ',
    'ǧ',
    'Ǩ',
    'ǩ',
    'Ǫ',
    'ǫ',
    'Ǭ',
    'ǭ',
    'Ǯ',
    'ǯ',
    'ǰ',
    'Ǳ',
    'ǲ',
    'ǳ',
    'Ǵ',
    'ǵ',
    'Ƕ',
    'Ƿ',
    'Ǹ',
    'ǹ',
    'Ǻ',
    'ǻ',
    'Ǽ',
    'ǽ',
    'Ǿ',
    'ǿ',
    'Ȁ',
    'ȁ',
    'Ȃ',
    'ȃ',
    'Ȅ',
    'ȅ',
    'Ȇ',
    'ȇ',
    'Ȉ',
    'ȉ',
    'Ȋ',
    'ȋ',
    'Ȍ',
    'ȍ',
    'Ȏ',
    'ȏ',
    'Ȑ',
    'ȑ',
    'Ȓ',
    'ȓ',
    'Ȕ',
    'ȕ',
    'Ȗ',
    'ȗ',
    'Ș',
    'ș',
    'Ț',
    'ț',
    'Ȝ',
    'ȝ',
    'Ȟ',
    'ȟ',
    'Ƞ',
    'ȡ',
    'Ȣ',
    'ȣ',
    'Ȥ',
    'ȥ',
    'Ȧ',
    'ȧ',
    'Ȩ',
    'ȩ',
    'Ȫ',
    'ȫ',
    'Ȭ',
    'ȭ',
    'Ȯ',
    'ȯ',
    'Ȱ',
    'ȱ',
    'Ȳ',
    'ȳ',
    'ȴ',
    'ȵ',
    'ȶ',
    'ȷ',
    'ȸ',
    'ȹ',
    'Ⱥ',
    'Ȼ',
    'ȼ',
    'Ƚ',
    'Ⱦ',
    'ȿ',
    'ɀ',
    'Ɂ',
    'ɂ',
    'Ƀ',
    'Ʉ',
    'Ʌ',
    'Ɇ',
    'ɇ',
    'Ɉ',
    'ɉ',
    'Ɋ',
    'ɋ',
    'Ɍ',
    'ɍ',
    'Ɏ',
    'ɏ',
  ];

  /// A dictionary of mapping characters
  static const mappingCharacters = {
    'a': ['ǎ', 'ǟ', 'ǡ', 'ǣ', 'ǻ', 'ǽ', 'ȁ', 'ȃ', 'ȧ'],
    'A': ['Ǎ', 'Ǟ', 'Ǡ', 'Ǣ', 'Ǻ', 'Ǽ' 'Ȁ', 'Ȃ', 'Ȧ', 'Ⱥ', 'Ʌ'],
    'b': ['ƀ', 'ƃ', 'ƅ', 'ȸ'],
    'B': ['Ɓ', 'Ƃ', 'Ƅ', 'Ƀ'],
    'c': ['ƈ', 'ȼ'],
    'C': ['Ɔ', 'Ƈ', 'Ȼ'],
    'd': ['ƌ', 'ǆ', 'ǳ', 'ȡ'],
    'D': ['Ɖ', 'Ɗ', 'Ƌ', 'Ǆ', 'ǅ', 'Ǳ', 'ǲ'],
    'e': ['ƹ', 'ǝ', 'ȅ', 'ȇ', 'ȩ', 'ɇ'],
    'E': ['Ǝ', 'Ɛ', 'Ə', 'Ʃ', 'Ƹ', 'Ȅ', 'Ȇ', 'Ȩ', 'Ɇ'],
    'f': ['ƒ'],
    'F': ['Ƒ'],
    'g': ['ƾ', 'ǥ', 'ǧ', 'ǵ'],
    'G': ['Ɠ', 'Ǥ', 'Ǧ', 'Ǵ'],
    'h': ['ƕ', 'ȟ'],
    'H': ['Ƕ', 'Ȟ'],
    'i': ['ǀ', 'ǁ', 'ǃ', 'ǐ', 'ȉ', 'ȋ'],
    'I': ['Ɩ', 'Ɨ', 'Ǐ', 'Ȉ', 'Ȋ'],
    'j': ['ǰ', 'ȷ', 'ɉ'],
    'J': ['Ɉ'],
    'k': ['ƙ', 'ǩ'],
    'K': ['Ƙ', 'Ǩ'],
    'l': ['ƚ', 'ƪ', 'ǉ', 'ȴ'],
    'L': ['Ǉ', 'ǈ', 'Ƚ'],
    'n': ['ƞ', 'ǌ', 'ǹ', 'ȵ'],
    'N': ['Ɲ', 'Ǌ', 'ǋ', 'Ǹ', 'Ƞ'],
    'o': ['ơ', 'ƣ', 'ǒ', 'ǫ', 'ǭ', 'ǿ', 'ȍ', 'ȏ', 'ȣ', 'ȫ', 'ȭ', 'ȯ', 'ȱ'],
    'O': ['Ɵ', 'Ơ', 'Ƣ', 'Ǒ', 'Ǫ', 'Ǭ', 'Ǿ', 'Ȍ', 'Ȏ', 'Ȣ', 'Ȫ', 'Ȭ', 'Ȯ', 'Ȱ'],
    'p': ['ƥ', 'ȹ'],
    'P': ['Ƥ', 'ƿ', 'Ƿ'],
    'q': ['ɋ'],
    'Q': ['Ɋ'],
    'r': ['ȑ', 'ȓ', 'ɍ'],
    'R': ['Ʀ', 'Ȑ', 'Ȓ', 'Ɍ'],
    's': ['ƨ', 'ƽ', 'ș', 'ȿ'],
    'S': ['Ƨ', 'Ƽ', 'Ș'],
    't': ['ƫ', 'ƭ', 'ǂ', 'ț', 'ȶ'],
    'T': ['Ƭ', 'Ʈ', 'Ț', 'Ⱦ'],
    'u': ['ư', 'ǔ', 'ǖ', 'ǘ', 'ǚ', 'ǜ', 'ȕ', 'ȗ'],
    'U': ['Ư', 'Ʊ', 'Ǔ', 'Ǖ', 'Ǘ', 'Ǚ', 'Ǜ', 'Ȕ', 'Ȗ', 'Ʉ'],
    'V': ['Ʋ'],
    'w': ['ŵ'],
    'W': ['Ɯ'],
    'y': ['ƴ', 'ȳ', 'ɏ'],
    'Y': ['Ɣ', 'Ƴ', 'Ȳ', 'Ɏ'],
    'z': ['ƶ', 'ƺ', 'ǯ', 'ȝ', 'ȥ', 'ɀ'],
    'Z': ['Ƶ', 'Ʒ', 'ƻ', 'Ǯ', 'Ȝ', 'Ȥ'],
    '?': ['ɂ', 'Ɂ'],
  };
}
