/// Settings for LatinExtendedBlock.latinSupplement
class LatinSupplement {
  /// An array of special characters
  static const specialCharacters = [
    '¡',
    '¢',
    '£',
    '¤',
    '¥',
    '¦',
    '§',
    '¨',
    '©',
    '«',
    '¬',
    '®',
    '¯',
    '±',
    '´',
    'µ',
    '¶',
    '·',
    '¸',
    '»',
    '¼',
    '½',
    '¾',
    '¿',
    'À',
    'Á',
    'Â',
    'Ã',
    'Ä',
    'Å',
    'Æ',
    'Ç',
    'È',
    'É',
    'Ê',
    'Ë',
    'Ì',
    'Í',
    'Î',
    'Ï',
    'Ð',
    'Ñ',
    'Ò',
    'Ó',
    'Ô',
    'Õ',
    'Ö',
    '×',
    'Ø',
    'Ù',
    'Ú',
    'Û',
    'Ü',
    'Ý',
    'Þ',
    'ß',
    'à',
    'á',
    'â',
    'ã',
    'ä',
    'å',
    'æ',
    'ç',
    'è',
    'é',
    'ê',
    'ë',
    'ì',
    'í',
    'î',
    'ï',
    'ð',
    'ñ',
    'ò',
    'ó',
    'ô',
    'õ',
    'ö',
    '÷',
    'ø',
    'ù',
    'ú',
    'û',
    'ü',
    'ý',
    'þ',
    'ÿ',
  ];

  /// A dictionary of mapping characters
  static const mappingCharacters = {
    'a': ['à', 'á', 'â', 'ã', 'ä', 'å', 'æ'],
    'A': ['À', 'Á', 'Â', 'Ã', 'Ä', 'Å', 'Æ'],
    'b': ['ß'],
    'c': ['ç', '¢', '©'],
    'C': ['Ç'],
    'D': ['Ð'],
    'e': ['è', 'é', 'ê', 'ë'],
    'E': ['È', 'É', 'Ê', 'Ë'],
    'i': ['ì', 'í', 'î', 'ï'],
    'I': ['Ì', 'Í', 'Î', 'Ï'],
    'n': ['ñ'],
    'N': ['Ñ'],
    'o': ['ð', 'ò', 'ó', 'ô', 'õ', 'ö', 'ø'],
    'O': ['Ò', 'Ó', 'Ô', 'Õ', 'Ö', 'Ø'],
    'p': ['þ'],
    'P': ['Þ'],
    'r': ['®'],
    'S': ['§'],
    'u': ['ù', 'ú', 'û', 'ü', 'µ'],
    'U': ['Ù', 'Ú', 'Û', 'Ü'],
    'x': ['×'],
    'y': ['ý'],
    'Y': ['Ý', '¥'],
    '!': ['¡'],
    '?': ['¿'],
  };
}
